New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Mjg17/kwalitee prereqs perlver #45

Merged
merged 2 commits into from Apr 30, 2015

Conversation

Projects
None yet
2 participants
@mjg17
Contributor

mjg17 commented Apr 28, 2015

Makefile.PL: specify MIN_PERL_VERSION; add recommended prereqs via META_MERGE.

These should solve some CPANTS issues.

The recommended pre-reqs are needed by the sample plugins, but not for successful testing and installation.

If Dancer::Plugin::Auth::Extensible::Provider::LDAP is ever added to the MANIFEST, then Net::LDAP should be added to the recommended list.

Note that I've included my Travis patch in this pull request, so that it passes. I'd recommend merging my Travis pull request first, this should then merge cleanly on top. If not, let me know...

Michael Gray added some commits Apr 28, 2015

Michael Gray
Makefile.PL: specify MIN_PERL_VERSION; add recommended prereqs via ME…
…TA_MERGE.

These should solve some CPANTS issues.

The recommended pre-reqs are needed by the sample plugins, but not for successful testing and installation.
If Dancer::Plugin::Auth::Extensible::Provider::LDAP be added to the MANIFEST, then Net::LDAP should be added to the recommended list.

bigpresh added a commit that referenced this pull request Apr 30, 2015

@bigpresh bigpresh merged commit 6a41042 into bigpresh:master Apr 30, 2015

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment